# $Revision: 1.31 $, $Date: 2007/05/16 11:04:06 $

%define		_rc	rc4

Summary:	NiceShaper - bandwidth limiting
Summary(pl.UTF-8):	NiceShaper - dynamiczny podział łącza
Name:		niceshaper
Version:	0.6
Release:	0.%{_rc}.1
License:	GPL
Group:		Networking/Admin
Source0:	http://niceshaper.jedwabny.net/files/%{name}%{version}%{_rc}.tar.bz2
# Source0-md5:	1331f1f7a494d57199ed97cd62faff11
Source1:	%{name}.users
Source2:	%{name}.config
Source3:	%{name}.about
Source4:	%{name}.init
URL:		http://niceshaper.jedwabny.net/
BuildRequires:	libstdc++-devel
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	firewall-userspace-tool
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This program limits bandwidth on the ethernet/ppp interface and
divides it between the hosts in the local network.

%description -l pl.UTF-8
Program opierając się na HTB/IMQ dzieli dostępne pasmo na komputery
w sieci, dynamicznie dostosowując się do generowanego przez każdego
z użytkowników obciążenia.

%prep
%setup -q -c

%build

%{__cxx} %{rpmcxxflags} src/class.cc src/class_container.cc src/filter.cc src/instance.cc src/net.cc src/main.cc src/error.cc -o src/niceshaper

cp %{SOURCE1} ./users
cp %{SOURCE2} ./config
cp %{SOURCE3} ./about
cp %{SOURCE4} .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_sysconfdir}/niceshaper0.6,%{_initrddir}}

install src/niceshaper $RPM_BUILD_ROOT%{_bindir}
install etc/niceshaper0.6/* $RPM_BUILD_ROOT%{_sysconfdir}/niceshaper0.6
install niceshaper.init $RPM_BUILD_ROOT%{_initrddir}/niceshaper

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add niceshaper
%service niceshaper restart "niceshaper daemon"

%preun
if [ "$1" = "0" ]; then
	%service niceshaper stop
	/sbin/chkconfig --del niceshaper
fi

%files
%defattr(644,root,root,755)
%doc users config about
%dir %{_sysconfdir}/%{name}0.6
%attr(640,root,root) %verify(not md5 mtime size) %config(noreplace) %{_sysconfdir}/%{name}0.6/*
%attr(755,root,root) %{_bindir}/*
%attr(754,root,root) %{_initrddir}/niceshaper

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: niceshaper.spec,v $
Revision 1.31  2007/05/16 11:04:06  paszczus
- updated to 0.6rc4

Revision 1.30  2007/02/21 13:33:14  paszczus
- since 0.6 version config is in /etc/niceshaper0.6 directory

Revision 1.29  2007/02/21 13:24:06  qboosh
- use rpmcxxflags

Revision 1.28  2007/02/21 13:14:38  paszczus
- updated to 0.6rc3

Revision 1.27  2007/02/13 07:16:49  glen
- tabs in preamble

Revision 1.26  2007/02/12 00:49:13  baggins
- converted to UTF-8

Revision 1.25  2006/07/20 12:19:10  spider
- typo

Revision 1.24  2006/07/20 11:19:09  spider
- url update

Revision 1.23  2006/05/21 17:33:37  glen
- rel 2

Revision 1.22  2006/03/05 15:20:15  glen
- use %service, adapterized, cosmetics

Revision 1.21  2006/01/10 10:52:09  wolvverine
- add to pl description

Revision 1.20  2005/12/13 13:58:51  glen
- adapterized (sorted %verify attrs)

Revision 1.19  2005/03/18 13:31:39  darekr
- missing dir

Revision 1.18  2005/03/15 22:41:21  dzeus
- BR: libstdc++-devel

Revision 1.17  2005/01/09 18:24:36  adamg
- updated to 0.5.1

Revision 1.16  2004/10/11 09:09:45  paszczus
- added Source0-size

Revision 1.15  2004/05/30 04:15:35  ankry
- spaces -> tabs

Revision 1.14  2004/05/29 09:45:15  domelu
- %{_initrddir}

Revision 1.13  2004/05/29 09:35:29  domelu
- paszczus nigga, please use %{_initrddir}

Revision 1.12  2004/05/29 09:33:00  domelu
- cosmetics

Revision 1.11  2004/05/20 15:06:46  paszczus
- updated to FINAL relase 0.5

Revision 1.10  2004/05/17 12:52:42  paszczus
- updated to 0.5rc4

Revision 1.9  2004/05/15 11:49:16  pluto
- md5.

Revision 1.8  2004/05/15 11:35:14  paszczus
- relase 1
- added chkconfig
- cleanups

Revision 1.7  2004/05/15 08:25:05  paszczus
- relase 0.5
- removed TODO
- init script is working fine

Revision 1.6  2004/05/14 21:22:42  paszczus
- added init script
- updated TODO

Revision 1.5  2004/05/11 12:37:39  paszczus
- better pl summary and description
- typos

Revision 1.4  2004/04/25 15:06:34  paszczus
- updated to 0.5rc3
- added docs
- added TODO

Revision 1.3  2004/04/20 12:55:24  qboosh
- Source0 URL

Revision 1.2  2004/04/20 07:56:38  paszczus
- fixed build

Revision 1.1  2004/04/19 22:06:51  paszczus
- initial version
